### Function

# GimpUi prop_color_select_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_color_select_new (
      GObject* config,
      const gchar* property_name,
      gint width,
      gint height,
      GimpColorAreaType type
    )

#### Description [src]

Creates a `GimpColorButton` to set and display the value of an RGB property.

Available since: | 3.0

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of RGB property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| Width of the colorpreview in pixels.
`height` | `gint`
| Height of the colorpreview in pixels.
`type` | `GimpColorAreaType`
| How transparency is represented.

#### Return value

Returns: | `GtkWidget`
| A new `GimpColorButton` widget.
| The caller of the function takes ownership of the data, and is responsible for freeing it.